Subject: RE: bug#10056: 24.0.91; Mark deactivation

From: "Drew Adams" <[email-masked]>
Date: Fri, 25 Jan 2013 09:41:21 -0800

> I've just noticed a new case where the mark is not deactivated, when
> it clearly should (IMO): after `eval-region'.

Why should it?

Even when used interactively (and certainly when not!), a user can want to do
something else with the active region after evaluating it.

Yes, s?he can always hit `C-x C-x C-x C-x' to reactivate it (there is probably a
shorter way to do it nowadays, but I still have that habit).  But the question
is why?  What's the reason to deactivate the region after `eval-region'?

To be clear, I have no particular objection that I can think of offhand.  But I
don't see why the behavior should be changed.  "If it ain't broke don't fix it."
IOW, please argue a bit in favor of the change for this specific command - some
reasons, please.

Wrt your footnote [2]: Why should we deactivate the region for _any_ command
when it is called non-interactively?  That doesn't make sense to me (yet - but
I'm willing to learn why).